package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 * 预警业绩进度指标对象 order_tuc_early_warning
 * 
 * @author njs
 * @date 2024-02-04
 */
public class OrderTucEarlyWarning extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long earlyId;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Long isDelete;

    /** 组织级别 */
    @Excel(name = "组织级别")
    private String salesLevel;

    /** 组织机构 */
    @Excel(name = "组织机构")
    private String orgCode;

    /** 组织名称 */
    @Excel(name = "组织名称")
    private String orgName;

    /** 已复核 */
    @Excel(name = "已复核")
    private String orgNetValue;

    /** 预算 */
    @Excel(name = "预算")
    private String orgTarget;



    public void setEarlyId(Long earlyId) 
    {
        this.earlyId = earlyId;
    }

    public Long getEarlyId() 
    {
        return earlyId;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setSalesLevel(String salesLevel) 
    {
        this.salesLevel = salesLevel;
    }

    public String getSalesLevel() 
    {
        return salesLevel;
    }
    public void setOrgCode(String orgCode) 
    {
        this.orgCode = orgCode;
    }

    public String getOrgCode() 
    {
        return orgCode;
    }
    public void setOrgName(String orgName) 
    {
        this.orgName = orgName;
    }

    public String getOrgName() 
    {
        return orgName;
    }
    public void setOrgNetValue(String orgNetValue) 
    {
        this.orgNetValue = orgNetValue;
    }

    public String getOrgNetValue() 
    {
        return orgNetValue;
    }
    public void setOrgTarget(String orgTarget) 
    {
        this.orgTarget = orgTarget;
    }

    public String getOrgTarget() 
    {
        return orgTarget;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("earlyId", getEarlyId())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("isDelete", getIsDelete())
            .append("salesLevel", getSalesLevel())
            .append("orgCode", getOrgCode())
            .append("orgName", getOrgName())
            .append("orgNetValue", getOrgNetValue())
            .append("orgTarget", getOrgTarget())
            .toString();
    }
}
